#ifndef VOICECREATOR_H
#define VOICECREATOR_H

#include "..\Voice\Voice.h"

typedef Voice* (* PVoiceCreator)(unsigned int applid, Log* ivLog, BoardGeneric* board);
typedef void (* PVoiceDestroyer)(Voice* voiceModule);

PVoiceCreator GetVoiceCreator(HINSTANCE library);
PVoiceDestroyer GetVoiceDestroyer(HINSTANCE library);

#endif
