
/* -------------------------------------------------------------------------
   File:        BRD_LOAD.H
   ------------------------------------------------------------------------- */
#ifndef BRD_LOAD_H
#define BRD_LOAD_H

#include "..\BoardDLLs\brd_generic.h"

#ifdef __DLL__
#define BRDLOADAPI(rtn_type) extern "C" rtn_type __declspec(dllexport)
#else
#define BRDLOADAPI(rtn_type) extern "C" rtn_type __declspec(dllimport)
#endif

BRDLOADAPI (HINSTANCE) LoadBoardFunctions(Log* sysLog, char* pszBoardDLL);

BRDLOADAPI (void) UnloadBoardFunctions();

BRDLOADAPI (void) ReleaseInstance (BoardGeneric *obj);

BRDLOADAPI (BoardGeneric*) CreateInstance (PIVRINFO pInfo);

BRDLOADAPI (bool) OpenHardwareDriver(Log *sysLog);
BRDLOADAPI (bool) CloseHardwareDriver(Log *sysLog);

#endif
