#ifndef STEP_LOADWEBDOC_H
#define STEP_LOADWEBDOC_H

#include "step.h"

/* -------------------------------------------------------------------------
   ------------------------------------------------------------------------- */
class StepLoadWebDoc : public Step
{
   public:

      StepLoadWebDoc(void);
      ~StepLoadWebDoc(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

      IV_STATUS SetResultVar(const char* value);
      IV_STATUS SetTimeout(const char* value);
      IV_STATUS SetURL(const char* value);
      IV_STATUS SetMessageCode(const char* value);
      IV_STATUS SetFileName(const char* value);
      void SetFileType(int value);
      IV_STATUS SetConnectionTimeout(const char* value);
      IV_STATUS SetConnectionRetries(const char* value);

   private:

      char* pszResultVar;
      char* pszTimeout;
      char* pszURL;
      char* pszMsgCd;
      char* pszFileNm;
      SOUND_FORMAT format;
      char* pszConnectionTimeout;
      char* pszConnectionRetries;
};

#endif
