#ifndef STEP_VOCRECGETYN_H
#define STEP_VOCRECGETYN_H

#include "step.h"

class StepVocRecGetYN : public Step
{
   public:

      StepVocRecGetYN(STEPREC& stepRecord);
      virtual ~StepVocRecGetYN(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string noVoiceTimeout;
      string thresholdConfidence;
      string confidenceVar;
      string resultVar;
      string handleVar;           // Variable to receive SR handle
      bool retainAudioOnThreshold;
};

#endif
