/* -------------------------------------------------------------------------
   ------------------------------------------------------------------------- */
#include <vcl.h>
#pragma hdrstop

#include "dlg_reconnect.h"
#include "mon_main.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TFormReconnect *FormReconnect;

/* -------------------------------------------------------------------------
   Name:        TFormReconnect::TFormReconnect
   ------------------------------------------------------------------------- */
__fastcall TFormReconnect::TFormReconnect(TComponent* Owner)
    : TForm(Owner)
{
   attempts   = 0;
   maxTimeout = 10;
   timeout    = maxTimeout;
}
/*TFormReconnect::TFormReconnect*/

/* -------------------------------------------------------------------------
   Name:        TFormReconnect::timerConnDelayTimer
   ------------------------------------------------------------------------- */
void __fastcall TFormReconnect::timerConnDelayTimer(TObject *Sender)
{
   timeout--;
   lblTimeout->Caption = timeout;
   if (timeout == 0) {
      timerConnDelay->Enabled =false;
      FormMon->ConnectAuto();
      ModalResult = mrOk;
   }
}
/*TFormReconnect::timerConnDelayTimer*/

/* -------------------------------------------------------------------------
   Name:        TFormReconnect::StartTimer
   ------------------------------------------------------------------------- */
void __fastcall TFormReconnect::StartTimer()
{
   attempts++;
   lblAttemptCount->Caption = attempts;
   timeout  = maxTimeout;
   lblTimeout->Caption = timeout;
   timerConnDelay->Enabled = true;
}
/*TFormReconnect::StartTimer*/

/* -------------------------------------------------------------------------
   Name:        TFormReconnect::Reset
   ------------------------------------------------------------------------- */
void __fastcall TFormReconnect::Reset()
{
   attempts = 0;
   lblAttemptCount->Caption = attempts;
}
/*TFormReconnect::Reset*/

/* -------------------------------------------------------------------------
   Name:        TFormReconnect::btnCancelClick
   ------------------------------------------------------------------------- */
void __fastcall TFormReconnect::btnCancelClick(TObject *Sender)
{
   timerConnDelay->Enabled = false;
   timeout = 0;
   FormMon->mnuConnectionDisconnect->Click();
}
/*TFormReconnect::btnCancelClick*/

void __fastcall TFormReconnect::btnConnectNowClick(TObject *Sender)
{
	timeout = 0;
   timerConnDelay->Enabled =false;
   FormMon->ConnectAuto();
}
//---------------------------------------------------------------------------

void __fastcall TFormReconnect::FormActivate(TObject *Sender)
{
	ActiveControl = btnConnectNow; 	
}
//---------------------------------------------------------------------------

