//---------------------------------------------------------------------------

#ifndef TFSimulator_placecallH
#define TFSimulator_placecallH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>

#include "TFSimulator_main.h"

//---------------------------------------------------------------------------
class TPlaceCallForm : public TForm
{
__published:	// IDE-managed Components
   TImage *OnHookImage;
   TImage *PlaceCallPanelImage;
   TPanel *AnswerPanel;
   TImage *AnswerImage;
   TImage *AnswerDownImage;
   TPanel *DontAnswerPanel;
   TImage *DontAnswerImage;
   TImage *DontAnswerDownImage;
   TPanel *RingsPanel;
   TImage *RingsImage;
   TImage *RingsDownImage;
   TPanel *BusyPanel;
   TImage *BusyImage;
   TImage *BusyDownImage;
   TPanel *SITPanel;
   TImage *SITImage;
   TImage *SITDownImage;
   TPanel *CEDPanel;
   TImage *CEDImage;
   TImage *CEDDownImage;
   void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
   void __fastcall AnswerImageMouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
   void __fastcall AnswerImageMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
   void __fastcall BusyImageMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
   void __fastcall BusyImageMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
   void __fastcall DontAnswerImageMouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
   void __fastcall DontAnswerImageMouseUp(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
   void __fastcall RingsImageMouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
   void __fastcall RingsImageMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
   void __fastcall SITImageMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
   void __fastcall SITImageMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
   void __fastcall CEDImageMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
   void __fastcall CEDImageMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
private:	// User declarations

   TFormSimulator* simulator;
   void __fastcall LoadJPGFromResource(TImage* image, const char* jpgName);
   void __fastcall FirstButtonSet(void);
   void __fastcall SecondButtonSet(void);

public:		// User declarations
   __fastcall TPlaceCallForm(TComponent* Owner);

   void __fastcall GetResponse(TFormSimulator* _simulator);
};
//---------------------------------------------------------------------------
extern PACKAGE TPlaceCallForm *PlaceCallForm;
//---------------------------------------------------------------------------
#endif
