#ifndef __SIPRESPONSE_H__
#define __SIPRESPONSE_H__

#ifdef __DLL__
#define SIPRESPONSEAPI __declspec(dllexport)
#else
#define SIPRESPONSEAPI __declspec(dllimport)
#endif

#include <string>
using std::string;

#include "InternetMessage.h"

class SIPRESPONSEAPI SIPResponse : public InternetMessage
{
   public:

      enum STATUS_CODE
      {
         INVALID_STATUS = -1
      };

      SIPResponse(void);
      virtual ~SIPResponse(void);

      virtual const char* GetReasonPhrase(void);
      virtual SIPResponse::STATUS_CODE GetStatusCode(void) const;
      virtual bool HaveCompleteMessage(void) const;

   protected:

      string reasonPhrase;
};

#endif

