#ifndef SPANISH_CODE_H
#define SPANISH_CODE_H

#include "LanguageModule.h"

class Spanish : public LanguageModule
{
	public:

	   Spanish(void);

   protected:

      WordList AlphaNumericWordList(string text);
      WordList DateWordList(string date, LanguageModule::SAY_FORMAT format);
      WordList DigitsWordList(string digits);
      void InitialiseWordTable(void);
      WordList IntegerWordList(string integer, bool ordinal = false);
      WordList MoneyWordList(string money);
      WordList NumberGroupWordList(string numberGroup, bool ordinal = false);
      WordList NumberGroupWordList(int index, bool plural);
      WordList RealNumberWordList(string number);
      WordList TimeWordList(string time, LanguageModule::SAY_FORMAT format);

      WordList UnToUno(WordList wordList);
};

#endif