#include "..\Voice\Voice.h"
#include "step_SRClearAudio.h"

StepSRClearAudio::StepSRClearAudio(STEPREC& stepRecord) : Step(stepRecord)
{
}

StepSRClearAudio::~StepSRClearAudio(void)
{
}

const char* StepSRClearAudio::GetStepName(void) const
{
	return("SR Clear Audio");
}

IV_STATUS StepSRClearAudio::Execute(PIVRINFO pInfo)
{
   if(Status(pInfo) != IVR_SUCCESS)
   {
      return(IVR_FAIL);
   }

   return(pInfo->speechRecognition == NULL ? IVR_SUCCESS : pInfo->speechRecognition->SRClearAudio());
}
