#ifndef STEP_CALLTRIGGER_H
#define STEP_CALLTRIGGER_H

#include "step.h"

class StepCallTrigger : public Step
{
   public:
      StepCallTrigger(STEPREC& stepRecord);
      virtual ~StepCallTrigger(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string triggerList;   // s2: List of triggers
      string triggerVar;    // s3: Variable to populate with trigger
      string triggerInfoVar;// s3: Variable to populate with trigger
      string timeout;       // s4: timeout in milliseconds.
};

#endif
