#ifndef TFREGISTRY_H
#define TFREGISTRY_H

/*
 - moved registry keys from the following files:
 ivr_defs.h
 nt_service.h
 linelist_main.h
 mon_main.h
 conf_main.h
 TFSimulator_main.h
                   
*/

// Registry key where TeleFlow applications store registry keys (from ivr_defs.h)
#define TELEFLOW_REG_KEY  "SOFTWARE\\enGenic"


// Registry key where TeleFlow Configuration settings are stored (from conf_main.h)
#define TFCONFIG_REG_KEY  TELEFLOW_REG_KEY "\\TeleFlow Server"
#define TFSERVICE_REG_KEY "SYSTEM\\CurrentControlSet\\Services\\TFServer"

// Registry key where TeleFlow Configuration settings are stored (from nt_service.h)
#define TFSERVER_REG_KEY  TELEFLOW_REG_KEY "\\TeleFlow Server"
#define TFSERVER_APP_LOG_REG_KEY "SYSTEM\\CurrentControlSet\\Services\\EventLog\\Application\\TFServer"

// Registry key where TeleFlow Application List Builder settings are stored (from linelist_main.h)
#define TFLINELIST_REG_KEY  TELEFLOW_REG_KEY "\\TeleFlow Line List Editor"

// Registry key where TeleFlow Monitor settings are stored (from mon_main.h)
#define TFMONITOR_REG_KEY  TELEFLOW_REG_KEY "\\TeleFlow Monitor"

// Registry key where TeleFlow Monitor settings are stored (from TFSimulator_main.h)
#define TFSIMULATOR_REG_KEY  TELEFLOW_REG_KEY "\\TeleFlow Simulator"




#endif
